/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.saas.dto.datasource;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * Restful接口--资源详情--数据传输对象：微服务与数据源关系
 * <p>
 * createdate:  2021-03-16 15:39:20  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "微服务与数据源关系")
public class SaaSAppDataSourceDetailDto implements Serializable
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  private String id;
  /**
   * 微服务<br>
   */
  @ApiModelProperty("微服务")
  private String microServiceId;
  /**
   * 数据源集群<br>
   */
  @ApiModelProperty("数据源集群")
  private String dataSourceClusterId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getMicroServiceId()
  {
    return microServiceId;
  }

  public void setMicroServiceId(String microServiceId)
  {
    this.microServiceId = microServiceId;
  }

  public String getDataSourceClusterId()
  {
    return dataSourceClusterId;
  }

  public void setDataSourceClusterId(String dataSourceClusterId)
  {
    this.dataSourceClusterId = dataSourceClusterId;
  }

  public String getCreatedBy()
  {
    return createdBy;
  }

  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  public Date getCreatedTime()
  {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public String getUpdatedBy()
  {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedTime()
  {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime)
  {
    this.updatedTime = updatedTime;
  }

  @ApiModelProperty("数据源集群对象")
  private SaaSDataSourceClusterDetailDto dataSourceCluster;

  public SaaSDataSourceClusterDetailDto getDataSourceCluster()
  {
    return dataSourceCluster;
  }

  public void setDataSourceCluster(SaaSDataSourceClusterDetailDto dataSourceCluster)
  {
    this.dataSourceCluster = dataSourceCluster;
  }
}